.link-style-passby {
    font-family: $font-1;
    font-size: 18px;
    font-weight: 400;
    letter-spacing: .25px;
    text-transform: uppercase;
    position: relative;
    display: inline-block;
    padding: 1rem 1.25rem;
    min-width: 16rem;
    border-width: 2px;
    // border-radius: 225px;
    text-align: center;
    color: #fff;
    border: 2px solid $color-main;
    background-color: $color-main;
    overflow: hidden;
    user-select: none;
    cursor: pointer;

    span {
        z-index: 1;
        position: relative;

        i {
            margin-right: .5rem;
        }
    }

    &::after {
        content: "";
        width: 0;
        height: 100%;
        top: 0;
        position: absolute;
        left: auto;
        right: 0;
        background-color: #fff;
        border-radius: 0px;
        -webkit-transition: width .6s cubic-bezier(.25, .8, .25, 1) 0s;
        transition: width .6s cubic-bezier(.25, .8, .25, 1) 0s;
    }

    &:hover {
        color: $color-main;
        background-color: transparent;

        &::after {
            width: 100%;
            left: 0;
            right: auto;
        }
    }

    &-alt {
        color: #fff;
        background-color: $color-black;
        border-color: $color-black;
        overflow: hidden;

        &:hover {
            color: $color-black;
        }

        &::after {
            background-color: #fff;
            border-radius: 0px;
        }
    }
}